# Game Loop

class pypdevs.realtime.threadingGameLoop.ThreadingGameLoop

  Game loop subsystem for realtime simulation. Time will only progress when a step call is made.

  __init__()

    Constructor

  interrupt()

    Interrupt the waiting thread

  step()

    Perform a step in the simulation. Actual processing is done in a seperate thread.

  wait(delay, func)

    Wait for the specified time, or faster if interrupted

    Parameters

      - time – time to wait

      - func – the function to call